Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.event
Class PrintJobEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.print.event.PrintEvent
                  |
                  +--javax.print.event.PrintJobEvent

All Implemented Interfaces:
  Serializable

public class PrintJobEvent
extends PrintEvent

Class `PrintJobEvent` encapsulates common events a print job reports to let a listener know of progress in the processing of the `DocPrintJob`.

See Also:
  Serialized Form

Field Summary
`static int` | `DATA_TRANSFER_COMPLETE` The job is not necessarily printed yet, but the data has been transferred successfully from the client to the print service.
`static int` | `JOB_CANCELED` The job was canceled by the `PrintService`.
`static int` | `JOB_COMPLETE` The document cis completely printed.
`static int` | `JOB_FAILED` The print service reports that the job cannot be completed.
`static int` | `NO_MORE_EVENTS` Not all print services may be capable of delivering interesting events, or even telling when a job is complete.
`static int` | `REQUIRES_ATTENTION` The print service indicates that a - possibly transient - problem may require external intervention before the print service can continue.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PrintJobEvent(DocPrintJob source, int reason)` Constructs a `PrintJobEvent` object.

Method Summary
`int` | `getPrintEventType()` Gets the reason for this event.
`DocPrintJob` | `getPrintJob()` Determines the `DocPrintJob` to which this print job event pertains.

Methods inherited from class javax.print.event.PrintEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JOB_CANCELED

    public static final int JOB_CANCELED

  The job was canceled by the `PrintService`.

  See Also:
    Constant Field Values

### JOB_COMPLETE

    public static final int JOB_COMPLETE

  The document cis completely printed.

  See Also:
    Constant Field Values

### JOB_FAILED

    public static final int JOB_FAILED

  The print service reports that the job cannot be completed. The application must resubmit the job.

  See Also:
    Constant Field Values

### REQUIRES_ATTENTION

    public static final int REQUIRES_ATTENTION

  The print service indicates that a - possibly transient - problem may require external intervention before the print service can continue. One example of an event that can generate this message is when the printer runs out of paper.

  See Also:
    Constant Field Values

### NO_MORE_EVENTS

    public static final int NO_MORE_EVENTS

  Not all print services may be capable of delivering interesting events, or even telling when a job is complete. This message indicates the print job has no further information or communication with the print service. This message should always be delivered if a terminal event (completed/failed/canceled) is not delivered. For example, if messages such as JOB_COMPLETE have NOT been received before receiving this message, the only inference that should be drawn is that the print service does not support delivering such an event.

  See Also:
    Constant Field Values

### DATA_TRANSFER_COMPLETE

    public static final int DATA_TRANSFER_COMPLETE

  The job is not necessarily printed yet, but the data has been transferred successfully from the client to the print service. The client may free data resources.

  See Also:
    Constant Field Values

Constructor Detail

### PrintJobEvent

    public PrintJobEvent(DocPrintJob source,
                         int reason)

  Constructs a `PrintJobEvent` object.

Parameters:
  `source` - a `DocPrintJob` object
  `reason` - an int specifying the reason.

Method Detail

### getPrintEventType

    public int getPrintEventType()

  Gets the reason for this event.

  Returns:
    reason int.

### getPrintJob

    public DocPrintJob getPrintJob()

  Determines the `DocPrintJob` to which this print job event pertains.

  Returns:
    the `DocPrintJob` object that represents the print job that reports the events encapsulated by this `PrintJobEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.